MS15-041: Description of the security update for the .NET Framework 4.5, 4.5.1, and 4.5.2 on Windows Vista Service Pack 2, Windows Server 2008 Service Pack 2, Windows 7 Service Pack 1, and Windows Server 2008 R2 Service Pack 1: April 14, 2015

Applies to: Microsoft .NET Framework 4.5.2

Summary


This update resolves a vulnerability in the Microsoft .NET Framework that could allow information disclosure if an attacker sends a specially crafted web request to an affected server that has custom error messages disabled. An attacker who successfully exploits the vulnerability would be able to view parts of a web configuration file that could expose sensitive information. To learn more about the vulnerability, see Microsoft Security Bulletin MS15-041.

Important To install this update, you must have Windows Installer 3.1 or a later version installed on the computer.

Note To resolve the vulnerability, you may need to apply multiple updates depending on the versions of .NET Framework you are running. For more information, see Affected versions of .NET Framework by this security bulletin.

How to obtain and install the update


Method 1: Windows Update

This update is available through Windows Update. When you turn on automatic updating, this update will be downloaded and installed automatically. For more information about how to turn on automatic updating, see Get security updates automatically.

Method 2: Microsoft Download Center

You can obtain the stand-alone update package through the Microsoft Download Center. Follow the install instructions on the download page to install the update.

Download Download (KB3037581)

More Information


Affected versions of .NET Framework by this security bulletin

Windows versionUpdates to install
Windows Vista SP2 and Windows Server 2008 SP23037573 for .NET Framework 2.0 SP2
3037578 for .NET Framework 4
3037581 for .NET Framework 4.5/4.5.1/4.5.2
Windows 7 SP1 and Windows Server 2008 R2 SP13037574 for .NET Framework 3.5.1
3037578 for .NET Framework 4
3037581 for .NET Framework 4.5/4.5.1/4.5.2


Applies to

This article applies to the following:
  • Microsoft .NET Framework 4.5.2 when used with:
    • Windows Server 2008 R2 Service Pack 1
    • Windows 7 Service Pack 1
    • Windows Server 2008 Service Pack 2
    • Windows Vista Service Pack 2
  • Microsoft .NET Framework 4.5.1 when used with:
    • Windows Server 2008 R2 Service Pack 1
    • Windows 7 Service Pack 1
    • Windows Server 2008 Service Pack 2
    • Windows Vista Service Pack 2
  • Microsoft .NET Framework 4.5 when used with:
    • Windows Server 2008 R2 Service Pack 1
    • Windows 7 Service Pack 1
    • Windows Server 2008 Service Pack 2
    • Windows Vista Service Pack 2